<%--
 Copyright (c) 2005, 2006 IBM Corporation.
 All rights reserved. 
--%>
<%@ include file="header.jsp"%>
<% 	SearchData data = new SearchData(application, request, response);
	// After each search we preserve the scope (working set), if any
	// this need to be at the beginning, otherwise cookie is not written
	if (data.isSearchRequest())
		data.saveScope();

	WebappPreferences prefs = data.getPrefs();
%>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Expires" content="-1">
<title><%=ServletResources.getString("SearchResults", request)%></title>
<style type="text/css">
<%@ include file="list.css"%>
A {
	text-decoration:none; 
	color:0000ff; 
	padding:0px;
	white-space: nowrap;
}
A:active {
	color:ffffff; 
}
</style>
<base target="ContentViewFrame">
<script language="JavaScript" src="list.js"></script>
<script language="JavaScript">		

function refresh() { 
	window.location.replace("searchView.jsp?<%=request.getQueryString()%>");
}
</script>
</head>
<body dir="<%=direction%>">
<% if (!data.isSearchRequest()) {
	out.write(ServletResources.getString("doSearch", request));
} else if (data.getQueryExceptionMessage()!=null) {
	out.write(data.getQueryExceptionMessage());
} else if (data.isProgressRequest()) {
%>
<center>
<table border='0'>
	<tr><td><%=ServletResources.getString("Indexing", request)%></td></tr>
	<tr><td align='<%=isRTL?"RIGHT":"LEFT"%>'>
		<div style='width:100px;height:16px;border:1px solid ThreeDShadow;'>
			<div id='divProgress' style='width:<%=data.getIndexedPercentage()%>px;height:100%;background-color:Highlight'></div>
		</div>
	</td></tr>
	<tr><td><%=data.getIndexedPercentage()%>% <%=ServletResources.getString("complete", request)%></td></tr>
	<tr><td><br><%=ServletResources.getString("IndexingPleaseWait", request)%></td></tr>
</table>
</center>
<script language='JavaScript'>
setTimeout('refresh()', 2000);
</script>
</body>
</html>
<% 	return;
} else if (data.getResultsCount() == 0){
	out.write(ServletResources.getString("Nothing_found", request));
} else {
%>
<table id='list'  cellspacing='0' >
<% 	for (int topic = 0; topic < data.getResultsCount(); topic++) {
		if(data.isActivityFiltering() && !data.isEnabled(topic)){
			continue;
		}
%>
<tr class='list' id='r<%=topic%>'>
	<td class='score' valign="top" align='<%=isRTL?"left":"right"%>'><%=data.getTopicScore(topic)%></td>
	<td align='<%=isRTL?"right":"left"%>' class='label'>	
		<a id='a<%=topic%>' 
		   href="<%=data.getTopicHref(topic)%>" 
		   onmouseover="showStatus(event);return true;"
		   onmouseout="clearStatus();return true;"
		   onclick='parent.parent.parent.setContentToolbarTitle(this.title)' 
		   title="<%=data.getTopicTocLabel(topic)%>"><%=data.getTopicLabel(topic)%></a>
	</td>
</tr>
<tr><td></td><td><%=data.getTopicDesc(topic)%>...</td></tr>
<%	} %>
</table>
<% } %>
<script language="JavaScript">
	selectTopicById('<%=data.getSelectedTopicId()%>');
</script>
</body>
</html>
